from axelrod.action import Action
from axelrod.player import Player
IIIIlllI, llIlllIlIII = Action.C, Action.D
class llIIlIIlI(Player):
    llIlIIlIlIIII = "strategy"
    lIllllllIlIlllIlIlII = {
        "memory_depth": 10,
        "stochastic": False,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    def __init__(lIllIIlllll) -> None:
        super().__init__()
        lIllIIlllll.lllllIIIllll = 10
        lIllIIlllll.IllIIIIlIllIIlIIlI = False
        lIllIIlllll.llllIIIIIllIllIl = 0
    def llIlIIlIlIIllIIlI(lIllIIlllll, llIllIIlIlIlIll: Player) -> Action:
        if lIllIIlllll.llllIIIIIllIllIl == lIllIIlllll.lllllIIIllll:
            lIllIIlllll.llllIIIIIllIllIl = 0
            lIllIIlllll.IllIIIIlIllIIlIIlI = False
        if llIlllIlIII in llIllIIlIlIlIll.history[-1:]:
            lIllIIlllll.IllIIIIlIllIIlIIlI = True
        if lIllIIlllll.IllIIIIlIllIIlIIlI:
            lIllIIlllll.llllIIIIIllIllIl += 1
            return llIlllIlIII
        return IIIIlllI